package top.iszsq.weixin.utils;

import org.apache.commons.lang3.StringUtils;
import org.junit.Test;
import top.iszsq.weixin.enums.WxResultStatus;
import top.iszsq.weixin.model.BaseResp;
import top.iszsq.weixin.model.WxResultBody;

import java.util.Map;

import static org.junit.Assert.*;

/**
 * @author zsq
 * @version 1.0
 * @date 2021/3/31 14:17
 */
public class JsonUtilsTest {

    /**
     * 对象转json字符串
     */
    @Test
    public void toJsonStr() {
        WxResultBody wxResultBody = new WxResultBody();
        BaseResp baseResp = new BaseResp();
        baseResp.setErr_msg("ok");
        baseResp.setRet(0);
        wxResultBody.setBase_resp(baseResp);

        String s = JsonUtils.toJsonStr(wxResultBody);
        System.out.println(s);
        assert StringUtils.equals("{\"base_resp\":{\"err_msg\":\"ok\",\"ret\":0}}", s);
    }

    /**
     * json转map
     */
    @Test
    public void jsonToMap() {
        String str = "{\"base_resp\":{\"err_msg\":\"ok\",\"ret\":0}}";
        Map<String, Object> map = JsonUtils.jsonToMap(str);
        System.out.println(map);

        assert map.get("base_resp") instanceof Map;
    }

    /**
     * json转对象
     */
    @Test
    public void jsonToObj() {
        String str = "{\"base_resp\":{\"err_msg\":\"ok\",\"ret\":0}}";
        WxResultBody wxResultBody = JsonUtils.jsonToObj(str, WxResultBody.class);
        System.out.println(wxResultBody);

        assert wxResultBody != null && wxResultBody.getBase_resp() instanceof BaseResp;
    }

    @Test
    public void testJsonToObj() {



    }
}